Subject: RFC 3939

From: Alfred Hönes <[email-masked]>
Date: Tue, 4 Jan 2005 11:08:40 +0100 (MEZ)

Hello,
I'd like to mention a few issues I found with the new RFC 3939
authored by you.

Please comment, and consider which of the items below should be
submitted for publication on the RFC Editor's RFC Errata web page.

In item (3), I have emphasized the proposed textual changes by a
change bar, '|', in column 1.

(1) Outdated Reference:

The last item in section '9.2. Informative References', on page 9,
names RFC 2806.
But, at the time of publication of RFC 3939, that RFC 2806 already
had been obsoleted by RFC 3966, published two weeks before RFC 3939 !

The reference [RFC2806] therefore should be updated accordingly
throughout the text.

(2) Missing IANA registrations ?

I suspect that -- beyond what indeed has been specified in section
'8. IANA Considerations' of RFC 3939 -- , according to BCP 90
(= RFC 3864), the new IMAIL Header Fields, "Caller-ID" and
"Caller-Name", as well should get formal IANA registrations listed
in the RFC, using the templates from section 4.2. of RFC 3864 !

Perhaps, a citation to BCP 90 would also have been appropriate.

(3) Minor textual improvements:

a) Change the first line of section 6.1., on page 6, from

  "The intent of these headers are to record telephone number that is
   sent by the analog phone system with an incoming call without
   alteration or interpretation." ...

to:

| "The intent of these headers are to record the telephone number that
   is sent by the analog phone system with an incoming call without
   alteration or interpretation." ...

b) In the first line of section '10. Acknowledgments', on page 9,
change:

  "The previous authors of versions of this document were Derrick Dunne
   and Jason Collins." ...

to:

| "The authors of previous versions of this document were Derrick Dunne
   and Jason Collins." ...

Regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+